WiiRemoteAdapter
Keywords: wiiremotej.event.WiiRemoteAdapter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej.event
Class WiiRemoteAdapter

    java.lang.Object
      wiiremotej.event.WiiRemoteAdapter

All Implemented Interfaces:
  java.util.EventListener, WiiRemoteListener

    public abstract class WiiRemoteAdapter

extends java.lang.Object
implements WiiRemoteListener

Implementation of WiiRemoteListener to conveniently implement just the methods you want. Contains all blank methods so you can just override what you need. Note that any time-intensive tasks should be executed in their own threads, as otherwise, they will block the event-dispatch thread.

Constructor Summary
`WiiRemoteAdapter()`

Method Summary
`void` | `accelerationInputReceived(WRAccelerationEvent evt)` Fires whenever data is received from the accelerometer.
`void` | `buttonInputReceived(WRButtonEvent evt)` Fires whenever data is received from the buttons.
`void` | `combinedInputReceived(WRCombinedEvent evt)` Fires whenever input is received on the regular input reports (0x30...0x3f).
`void` | `disconnected()` Fires when the WiiRemote disconnects.
`void` | `extensionConnected(WiiRemoteExtension extension)` Fires when an extension is connected and properly setup.
`void` | `extensionDisconnected(WiiRemoteExtension extension)` Fires when an extension disconnects.
`void` | `extensionInputReceived(WRExtensionEvent evt)` Fires whenever there's input from the extension port.
`void` | `extensionPartiallyInserted()` Fires when an extension is partially inserted.
`void` | `extensionUnknown()` Fires when an extension of an unknown type connects.
`void` | `IRInputReceived(WRIREvent evt)` Fires whenever data is received from IR sensor.
`void` | `statusReported(WRStatusEvent evt)` Fires whenever status data is received.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WiiRemoteAdapter

    public WiiRemoteAdapter()

Method Detail

### buttonInputReceived

    public void buttonInputReceived(WRButtonEvent evt)

  Description copied from interface: `WiiRemoteListener`
  Fires whenever data is received from the buttons.

  Specified by:
    `buttonInputReceived` in interface `WiiRemoteListener`
  Parameters:
    `evt` - the WRButtonEvent containing information on the buttons pressed.
  See Also:
    `WiiRemoteListener.combinedInputReceived(WRCombinedEvent)`

### statusReported

    public void statusReported(WRStatusEvent evt)

  Description copied from interface: `WiiRemoteListener`
  Fires whenever status data is received.

  Specified by:
    `statusReported` in interface `WiiRemoteListener`
  Parameters:
    `evt` - the WRStatusEvent containing status information.

### accelerationInputReceived

    public void accelerationInputReceived(WRAccelerationEvent evt)

  Description copied from interface: `WiiRemoteListener`
  Fires whenever data is received from the accelerometer. Fires half as fast when data is interleaved. Accelerometer data is meaningless during read operations.

  Specified by:
    `accelerationInputReceived` in interface `WiiRemoteListener`
  Parameters:
    `evt` - the WRAccelerationEvent containing acceleration information.
  See Also:
    `WiiRemoteListener.combinedInputReceived(WRCombinedEvent)`

### IRInputReceived

    public void IRInputReceived(WRIREvent evt)

  Description copied from interface: `WiiRemoteListener`
  Fires whenever data is received from IR sensor. Fires half as fast when data is interleaved.

  Specified by:
    `IRInputReceived` in interface `WiiRemoteListener`
  Parameters:
    `evt` - the WRIREvent containing acceleration information.
  See Also:
    `WiiRemoteListener.combinedInputReceived(WRCombinedEvent)`

### extensionInputReceived

    public void extensionInputReceived(WRExtensionEvent evt)

  Description copied from interface: `WiiRemoteListener`
  Fires whenever there's input from the extension port.

  Specified by:
    `extensionInputReceived` in interface `WiiRemoteListener`
  Parameters:
    `evt` - the WRExtensionEvent containing input from the extension port.
  See Also:
    `WiiRemoteListener.combinedInputReceived(WRCombinedEvent)`

### extensionConnected

    public void extensionConnected(WiiRemoteExtension extension)

  Description copied from interface: `WiiRemoteListener`
  Fires when an extension is connected and properly setup.

  Specified by:
    `extensionConnected` in interface `WiiRemoteListener`
  Parameters:
    `extension` - the extension that was connected.

### extensionPartiallyInserted

    public void extensionPartiallyInserted()

  Description copied from interface: `WiiRemoteListener`
  Fires when an extension is partially inserted. The physical extension connector should be pushed in more, or unplugged and replugged.

  Specified by:
    `extensionPartiallyInserted` in interface `WiiRemoteListener`

### extensionUnknown

    public void extensionUnknown()

  Description copied from interface: `WiiRemoteListener`
  Fires when an extension of an unknown type connects. The extension is considered to be disconnected, since there is no way to process input from it.

  Specified by:
    `extensionUnknown` in interface `WiiRemoteListener`

### extensionDisconnected

    public void extensionDisconnected(WiiRemoteExtension extension)

  Description copied from interface: `WiiRemoteListener`
  Fires when an extension disconnects.

  Specified by:
    `extensionDisconnected` in interface `WiiRemoteListener`
  Parameters:
    `extension` - the extension that was disconnected.

### combinedInputReceived

    public void combinedInputReceived(WRCombinedEvent evt)

  Description copied from interface: `WiiRemoteListener`
  Fires whenever input is received on the regular input reports (0x30...0x3f). Contains all information possibly received from input. This method fires in addition to the individual method of each input.

  Specified by:
    `combinedInputReceived` in interface `WiiRemoteListener`
  Parameters:
    `evt` - a combined event, containing button press, acceleration, IR, and extension events.
  See Also:
    `WiiRemoteListener.buttonInputReceived(WRButtonEvent)`, `WiiRemoteListener.accelerationInputReceived(WRAccelerationEvent)`, `WiiRemoteListener.IRInputReceived(WRIREvent)`, `WiiRemoteListener.extensionInputReceived(WRExtensionEvent)`

### disconnected

    public void disconnected()

  Description copied from interface: `WiiRemoteListener`
  Fires when the WiiRemote disconnects. Note that this fires only if the WiiRemote disconnects from the computer. If the computer orders the disconnect, this method does not fire. Note also that the WiiRemote is actually disconnected at this point, so you can not perform any actions on it.

  Specified by:
    `disconnected` in interface `WiiRemoteListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD